Subject: Trouble building newer git with older

From: Nishanth Aravamudan <[email-masked]>
Date: Tue, 8 Aug 2006 11:47:16 -0700

Hi all,

I am in the process of updating one of our system's set of git binaries
and noticed the following. When executing

git clone rsync://rsync.kernel.org/pub/scm/git/git.git git
cd git
git checkout
make

I get this error:

kernel:/home/nacc/download/git# make
GIT_VERSION = Usage: git COMMAND [OPTIONS] [TARGET]
 git command 'describe' not found: commands are:
    add apply archimport bisect branch checkout cherry clone
    commit count.objects cvsimport diff fetch format.patch
    fsck.cache get.tar.commit.id init.db log ls.remote octopus
    pack.objects parse.remote patch.id prune pull push rebase
    relink rename repack request.pull reset resolve revert
    send.email shortlog show.branch status tag verify.tag
    whatchanged-dirty
GIT-VERSION-FILE:2: *** multiple target patterns.  Stop.

This is because GIT-VERSION-GEN attempts to invoke `git describe` but
describe is not a valid parameter to the current version of git. This is
not treated as a failure case, though, as output is stored in VN.
Perhaps the return code of `git describe` should also be checked? Or am
I just not supposed to upgrade from this old of a version of git via
git?

Thanks,
Nish

-- 
Nishanth Aravamudan <[email-masked]>
IBM Linux Technology Center